Read this in other languages: [English](FAQ.md), [Français](FAQfr.md), [Türkçe](FAQtr.md), [українська](FAQuk.md)

# Часто задаваемые вопросы

## Прежде чем задать вопрос на GitHub или в Discord, пожалуйста, ознакомьтесь с этим.

### **1. Откуда это расширение получает данные?**
Комбинация API Google и старых данных.

Мы сохраняем все имеющиеся данные в нашей базе данных, чтобы они были доступны после того, как Google прекратит подсчёт отметок «Не нравится» в своём API.

### **2. Количество не понравившихся видео не обновляется**
В настоящее время видео с отметками «Не нравится» кэшируются и обновляются не очень часто. Раз в 2-3 дня, не чаще.

Да, это не идеально, но это то, что есть. Мы работаем над тем, чтобы улучшить частоту их обновления.

### **3. Как это работает?**
Расширение собирает идентификатор видео, которое вы смотрите, извлекает данные об отметках «Не нравится» (и другие поля, такие как просмотры, отметки «Нравится» и т.д.) с помощью нашего API, если видео было извлечено нашим API впервые, оно использует YouTube API для получения данных, затем сохраняет данные в базе данных для кэширования (кэшируются около 2-3 дней) и архивирования и возвращает их вам. После этого расширение отображает отметки «Не нравится» вам.

### **4. Что произойдёт после того, как API YouTube перестанет возвращать данные о количестве отметок «Не нравится»?**
Внутренняя часть нашего сервера переключится на использование комбинации архивных статистик отметок «Не нравится», оценок, экстраполированных из данных о пользователях расширения, и оценок, основанных на соотношении просмотров и отметок «Нравится» для видео, чьи отметки «Не нравится» не были заархивированы, и для устаревших архивов с отметками «Не нравится».

## Я беспокоюсь о безопасности / конфиденциальности
Более подробную информацию смотрите на [этой странице](SECURITY-FAQ.md).
