Read this in other languages: [English](FAQ.md), [русский](FAQru.md), [Français](FAQfr.md), [Türkçe](FAQtr.md)

# Часті питання

## Перш ніж задавати питання на GitHub або у Discord, будь ласка, ознайомтеся з цим.

<br>

### **1. Звідки це розширення отримує дані?**

Комбінація Google API та старих даних.

Ми зберігаємо всі доступні дані в нашій базі, аби вони були доступні після того, як Google вимкне лічильник відміток «Не подобається» у своєму API.

<br>

### **2. Лічильник «Не подобається» не оновлюється**

Наразі відео з відмітками «Не подобається» кешуються і оновлюються не надто часто. Не частіше, ніж раз в 2-3 дні.

Так, це не ідеально, але маємо те, що маємо. Ми працюємо над тим, щоб збільшити частоту їх оновлення.

<br>

### **3. Як це працює?**

Розширення отримує ID відео, яке ви переглядаєте, та дізнається кількість відміток «Не подобається» (та інші дані: перегляди, відмітки «Подобається» тощо) за допомогою нашого API, якщо відео було витягнуте нашим API вперше, воно використовує YouTube API для отримання даних, потім зберігає дані в базі даних для кешування (кешуються близько 2-3 днів) та архівування й повертає їх вам. Після цього розширення відображає відмітки «Не подобається» вам.

<br>

### **4. Що станеться після того, як YouTube API перестане повертати кількість відміток «Не подобається»?**

Сервер перейде на використання комбінації заархівованих статистичних даних відміток «Не подобається» екстрапольованих із даними .

<br>

### **5. Як розраховується кількість відміток «Не подобається»?**

RYD використовує відмітки своїх користувачів, щоб екстраполювати кількість відміток «Не подобається».

- Якщо відео було завантажено після вимкнення API:

  $$ \textup{К-ть відміток «Не подобається» у RYD} = \left( \frac{\textup{К-ть відміток «Подобається» серед користувачів RYD}}{\textup{К-ть відміток «Не подобається» серед користувачів RYD}} \right) \times \textup{Публічна к-ть відміток «Подобається»} $$

- Якщо база даних RYD якимось чином мала фактичну кількість відміток «Подобається» та «Не подобається» (надану завантажувачем або з архіву), кількість відміток «Не подобається» буде розраховано на основі відміток користувачів і архівного значення. Архівне значення матиме менший вплив на остаточний підрахунок у міру актуальності.

<br>

---

Це все, але у відео форматі

[![IReturn YouTube Dislike Explained](https://yt-embed.herokuapp.com/embed?v=GSmmtv-0yYQ)](https://www.youtube.com/watch?v=GSmmtv-0yYQ)

---

<br>

## Я турбуюся про безпеку/конфіденційність

Детальніше про це дивіться [тут](SECURITY-FAQuk.md).