**Contents**

- [Downloading](#downloading)
  - [Desktop (all OS supported by these browsers)](#desktop-all-os-supported-by-these-browsers)
    - [Chromium Based Browsers](#chromium-based-browsers)
    - [Firefox Based Browsers](#firefox-based-browsers)
  - [Mobile](#mobile)
    - [Android](#android)
    - [iOS](#ios)
    - [Userscript](#userscript)
- [Installation](#installation)
  - [Desktop](#desktop)
    - [**Chromium based browsers**](#chromium-based-browsers-1)
      - [From Chrome Webstore](#from-chrome-webstore)
      - [From crx/zip file](#from-crxzip-file)
      - [From unzipped folder](#from-unzipped-folder)
    - [**Firefox Based Browsers**](#firefox-based-browsers-1)
      - [From addon store](#from-addon-store)
      - [From xpi/jar/zip file](#from-xpijarzip-file)
  - [Mobile](#mobile-1)
    - [Android](#android-1)
      - [App from Play Store](#app-from-play-store)
      - [On Firefox](#on-firefox)
    - [iOS](#ios-1)
- [Using](#using)
- [Updating](#updating)
  - [Extension / Addon](#extension--addon)
- [Miscellaneous](#miscellaneous)
  - [Using YouTube website as an app with an extension](#using-youtube-website-as-an-app-with-an-extension)
    - [Desktop](#desktop-1)
      - [Chromium Based Browsers](#chromium-based-browsers-2)
      - [Firefox Based Browsers](#firefox-based-browsers-2)
    - [Mobile](#mobile-2)
      - [Firefox Based Browsers](#firefox-based-browsers-3)
      - [Chromium Based Browsers](#chromium-based-browsers-3)

<br>

<br>

## Downloading

### Desktop (all OS supported by these browsers)

<br>

#### [Chromium Based Browsers][4]

This extension has been tested to work on these browsers.

- [Google Chrome][1]
- [Microsoft Edge][1]
- [Brave][1]
- [Opera][1]

It should be able to work on [all Chromium-based browsers (list here)][4]. But that isn't guaranteed.

<br>

#### [Firefox Based Browsers][5]

- [Firefox][2]
- This addon should be able to run on most of the [Firefox-based browsers][5]. But isn't guaranteed.

<br>

### Mobile

#### Android

1. **F-Droid Store**

- [Show Youtube Dislikes](https://f-droid.org/en/packages/com.jesperh.showyoutubedislikes/)

  [Download from here (Click here)](https://f-droid.org/en/packages/com.jesperh.showyoutubedislikes/)

  The source code is available at [github.com/jesperbakhandskemager/view-youtube-dislike](https://github.com/jesperbakhandskemager/view-youtube-dislike)

  You can download the apk file from
  [https://github.com/jesperbakhandskemager/view-youtube-dislike/releases/](https://github.com/jesperbakhandskemager/view-youtube-dislike/releases/)

  **Note: This app is NOT made by the original author of the extension**.

2. [**Firefox Nightly**][2]

- This addon should be able to run on most of the [Firefox-based browsers][5]. But isn't guaranteed.

3. [**Chromium Based browsers**][4]

Most [**Chromium Based browsers**][4] **don't support extensions on Android or iOS**

However, [Kiwi Browser](https://kiwibrowser.com/) does. You can refer to this video - [Google Chrome Extensions on Android with Kiwi Browser!](https://youtu.be/T6J0T_-oim4)

<br>

#### iOS

No Support on Firefox

You can have a look at these pages for more information (the reason why it's not available on Firefox):

- [https://support.mozilla.org/en-US/kb/add-ons-firefox-ios]
- [https://support.mozilla.org/en-US/questions/1101350]

For now, you can try this

- [For Jailbroken iOS - **WE TAKE NO RESPONSIBILITY. USE AT YOUR OWN RISK**](https://chariz.com/get/return-youtube-dislike)

  This is an iOS port [**developed by a separate team**](https://github.com/PoomSmart/Return-YouTube-Dislikes) not related to the owner of github.com/Anarios/return-youtube-dislike

#### Userscript

[Download from here](https://returnyoutubedislike.com/install)

<br>

<br>

## Installation

### Desktop

<br>

#### [**Chromium based browsers**][4]

<br>

##### From Chrome Webstore

1. [Go to website (click here)][1]
2. Click install
3. Wait for the extension to download and
4. 🙂 Installed !!

<br>

##### From crx/zip file

1. Download the crx/zip file.
2. Type [`chrome://extensions`][6] in address bar
3. Search for the "Developer Mode" switch and turn it on.
4. Open the folder and the browser side by side.
5. Drag and drop the crx/zip file in [chrome://extensions][6] tab
6. Click on "Add extension"
7. Installation Completed 🎉
8. Remember to **turn off the "developer mode"** if not needed

<br>

##### From unzipped folder

1. Download the crx/zip file.
2. Go to [`chrome://extensions`][6]
3. Search for the "Developer Mode" switch and turn it on.
4. Click on "Load Unpacked"
5. Navigate to the folder & select it
6. The extension should be installed 🎉
7. Remember to **turn off the "developer mode"** if not needed

<br>

#### [**Firefox Based Browsers**][5]

##### From addon store

1. Go to the addon store and find the extension or [click here][2].
2. Click on `Add to Firefox`
3. Done 🎉 The extension should be installed.

<br>

##### From xpi/jar/zip file

1. Type `about:addons` in the address bar and press "Enter". Alternatively, You can use
   `Ctrl` + `Shift` + `A` on Windows and
   `Cmd` + `Shift` + `A` on Mac and
2. Click on the Setting Gear icon `⚙`.
3. Click on `Install Add-on From File...`
4. Locate and click on the .xpi/.jar/.zip file.
5. Select and click to open it.
6. Done 🎉 The extension should be installed.

<br>

### Mobile

#### Android

##### App from Play Store

- Although app(s) which use this API exist, they aren't official.

##### On Firefox

1. Install Firefox Nightly. Refer to this blog post for the procedure: [Expanded extension support in Firefox for Android Nightly](https://blog.mozilla.org/addons/2020/09/29/expanded-extension-support-in-firefox-for-android-nightly/)
2. Install the extension in it from [addon store][2]
3. If you want - install the site as an app. For that procedure [go here](#firefox-based-browsers-3).

#### iOS

- [For iOS click here](#ios)
- Only available on Firefox-based browsers because Chromium-based browsers for the Android platform don't support installing extensions.

<br>

<br>

## Using

No more steps are required, it should start working right away.

If required you can restart your browser.

**🎉 🎊 Congratulations** 🥳 🎊

<br>

<br>

## Updating

### Extension / Addon

On [Chromium based browsers][4]

- [from webstore][1]
- sideloading from [crx/zip file](#from-crxzip-file) or [unzipped folder](#from-unzipped-folder)

On [Firefox based browsers][5]

- [from addon store][2]
- [sideloading from xpi/jar/zip file](#from-xpijarzip-file)

On [Firefox based browsers][5] for mobile

- [from addon store][2]

<br>

<br>

## Miscellaneous

### Using YouTube website as an app with an extension

#### Desktop

##### Chromium Based Browsers

0. Go to YouTube
1. Tap on menu button (`☰` / `⋯` / `⋮`)
2. Click on "Install YouTube"
3. 🎉Done!

<br>

##### Firefox Based Browsers

**⚠ Doesn't work on newer versions.**

1. Type [`about:config`](about:config) in address bar & press `Enter` key.
2. When warned `Proceed with Caution` click on `Accept the Risk and Continue`
3. Locate and click on the search bar on the page.
4. Type `browser.ssb.enable`.
5. click on `⇋` and make sure the state is set to `true`.
6. Restart the browser and Open YouTube.
7. Click on `⋮` located in the upper right corner
8. Click `Install this website as an app` or `Install this website as an app` which depends on the version you are using.
9. Done! 🎉 You should be able to see the site's app in the start menu.

You can also refer here (for pictures):

[How to Enable the Site-Specific Browser (SSB) in Firefox - Make Tech Easier](https://www.maketecheasier.com/enable-site-specific-browser-firefox)

<br>

#### Mobile

##### Firefox Based Browsers

0. Install the extension
1. Go to YouTube
2. Tap on the three dots `⋮` located at the bottom right corner of the screen.
3. Turn on "Desktop Site".
4. Refresh the page.
5. Wait for it to completely load.
6. Tap again on the three dots `⋮` located at the bottom right corner of the screen.
7. You will see an option as `Install`. Tap on it.
8. Tap - `Add` when asked `Add to Home screen?`
9. Enjoy the YT site as a Firefox nightly app !!

<br>

##### [Chromium Based Browsers][4]

But still - here are the steps:

1. Go to YouTube
2. Tap on the three dots `⋮` located at the bottom right corner of the screen.
3. Turn on "Desktop Site".
4. Refresh the page and wait for it to completely load.
5. Tap again on the three dots `⋮` located at the bottom right corner of the screen.
6. You will see an option as `Install`. Tap on it.
7. When asked `Install App` tap on `Yes`
8. Tap - `Add` when asked `Add to Home screen?`
9. Enjoy the YT site as an app !!

<br>

<br>

<!-- links -->

[1]: https://chrome.google.com/webstore/detail/return-youtube-dislike/gebbhagfogifgggkldgodflihgfeippi
[2]: https://addons.mozilla.org/en-US/firefox/addon/return-youtube-dislikes/
[3]: https://github.com/Anarios/return-youtube-dislike/raw/main/Extensions/UserScript/Return%20Youtube%20Dislike.user.js
[4]: https://en.wikipedia.org/wiki/Chromium_(web_browser)#Browsers_based_on_Chromium
[5]: https://en.wikipedia.org/wiki/Category:Web_browsers_based_on_Firefox
[6]: chrome://extensions
