import { ja } from "vuetify/src/locale";

export default {
  ...ja,
  home: {
    name: "ホーム",
    title: "Return YouTube Dislike",
    subtitle: "YouTubeの低評価数の表示を復元するブラウザ拡張機能とAPI",
    ukraine: "ウクライナをサポート",
    sponsors: "スポンサー",
  },
  install: {
    name: "インストール",
    title: "プラットフォームの選択",
    subtitle: "FirefoxとすべてのChromiumブラウザに対応しています。",
    title2: "その他のプラットフォーム",
    subtitle2:
      "未対応のブラウザをお使いの場合は、以下のUserScriptをお試しください。",
    title3: "サードパーティーによる実装",
    subtitle3:
      "開発者では責任を負いかねますので、ご自身の判断にてご利用ください。",
  },
  api: {
    name: "API",
    title: "RYD公式ドキュメントへようこそ!",
    subtitle: "まず、メニューからセクションを選択してください。",
    rights: {
      title: "使用権",
      subtitle:
        "このオープンAPIを第三者が使用することは、以下の制限付きで許可されています：",
      bullet1: "属性：",
      bullet1text:
        "このレポ、もしくは returnyoutubedislike.com へのリンクのどちらかによって、明確に帰属させる必要があります。",
      bullet2: "通信量制限：",
      bullet2text:
        "クライアントごとに、1分あたり100・1日あたり10,000という通信量制限が設けられています。これを超えた場合には、アプリケーションに通信を控えるよう促すステータスコード 429 を返します。",
    },
    url: {
      title: "URL情報",
      subtitle: "APIへのアクセスは、以下のベースURLから可能です：",
    },
    endpoints: {
      title: "利用可能なエンドポイント",
      subtitle: "利用可能なエンドポイントの一覧はこちらでご覧いただけます：",
    },
    fetching: {
      title: "基本的なフェッチ操作のチュートリアル",
      subtitle: "以下のYouTube IDから評価数を取り出した場合の例です：",
      title2: "リクエスト例：",
      url: "リクエストURL：",
      method: "リクエスト方法：",
      headers: "ヘッダー：",
      response: "レスポンス：",
      error1:
        'YouTube IDが無効な場合、ステータスコード 404 "Not Found" が返されます。',
      error2:
        'YouTube IDのフォーマットが正しくない場合、ステータスコード 400 "Bad Request" が返されます。',
    },
  },
  help: {
    name: "ヘルプ",
    title: "トラブルシューティング",
    bullet1: "最新バージョンの拡張機能",
    bullet11: "がインストールされていることを確認してください。",
    bullet2:
      "拡張機能を削除して再インストールし、すべてのウィンドウを閉じた上でブラウザを再起動してください。",
    bullet3: "以下のリンクが開くことを確認してください：",
    bullet31: "以下のプレーンテキストが表示されます：",
    bullet4:
      "上記で問題が解決しない場合、以下のチャンネルにて問題を報告してください。",
    bullet41: "参照：",
    bullet4a: "お使いのOS、ブラウザ名とバージョンを教えてください。",
    bullet4b: "コンソールを開き（",
    bullet4b1:
      "キー）、問題のあるページ（例：YouTubeの動画ページ）のスクリーンショットを撮影します。",
    bullet4c:
      "拡張機能がインストールされているブラウザの拡張機能ページのスクリーンショットを撮影します。",
    bullet4c1: "拡張機能ページを表示するには、以下のように入力してください：",
    firefox: "：Firefox",
    chrome: "：Chrome, Edge, Brave, Opera, Vivaldi",
  },
  faq: {
    name: "Q&A",
    title: "よくある質問",
    subtitle:
      "他にも何か質問がありますか？我々のDiscordにお気軽にご参加ください。",
    bullet1: "拡張機能のデータはどこから取得しているのですか？",
    bullet1text:
      "YouTube公式の低評価APIが停止する前に保存したデータと、拡張機能ユーザーの高評価/低評価数を元にした推定値を組み合わせて取得しています。",
    bullet2: "低評価数が更新されないのはなぜですか？",
    bullet2text:
      "現在、低評価数はデータベース化されているため、あまり頻繁に更新されません。動画の再生数によって異なりますが、更新には数時間から数日かかることがあります。",
    bullet3: "どのような仕組みで動作していますか？",
    bullet3text:
      "まず、視聴中の動画のID を収集し、API を使用して低評価数、再生数、高評価などの項目を取得します。次に、ページ上に低評価数と比率を表示します。動画に高評価や低評価があると、それが記録されてデータベースに蓄積されるため、正確な低評価数を推定することができます。",
    bullet4: "低評価数を共有することはできますか？",
    bullet4text:
      "近日中に公開予定です。機能の実装のために、Oauth または範囲を限定した別の読み取り専用APIを使用することを検討しています。",
    bullet5: "どのようなデータを収集し、どのように取り扱っていますか？",
    bullet5text:
      '本拡張機能では、IPアドレスや視聴している動画のIDなど、正しく機能するために必要なデータのみを収集しています。あなたのデータは、第三者に販売されることは決してありません。セキュリティとプライバシーの取り扱いについてもっと知りたい場合には、 <a href="https://github.com/Anarios/return-youtube-dislike/blob/main/Docs/SECURITY-FAQ.md">セキュリティFAQ</a> をご参照ください。 ',
    bullet6: "API/バックエンドはどのような仕組みで動作していますか？",
    bullet6text:
      "バックエンドは、YouTube公式の低評価APIが停止する前に保存したデータと拡張機能ユーザーの高評価/低評価数を元にした推定値を組み合わせて取得しています。近い将来、コンテンツ制作者が簡単かつ安全に低評価数を提供できるようにし、Archive Team のアーカイブデータ（45億6000万動画）も現在のデータベースに追加する予定です。また、このトピックに関するビデオもご覧いただけます。",
    bullet7: "低評価数に「投稿者により無効化」と表示されるのはなぜですか？",
    bullet7text:
      "最近投稿された動画では、投稿者によって無効にされていなくても「投稿者により無効化」と表示されることがあります。これは、評価数の表示が無効になっているかどうかを検出するシステムによる副作用で、数時間後、または動画に高評価ないし低評価をしてページを更新すると消えるものだと思われます。",
  },
  donate: {
    name: "寄付",
    subtitle:
      "インターネットの自由を守るための我々の活動を、寄付によって応援してください！",
  },
  links: {
    name: "リンク",
    title: "プロジェクトリンク集",
    subtitle: "プロジェクトおよび開発者へのリンク",
    contact: "お問い合わせ先",
    translators: "翻訳者",
  },
};
