import { ru } from "vuetify/src/locale";
// By Nikita Krupin
export default {
  ...ru,
  home: {
    name: "Главная",
    title: "Вернуть YouTube дизлайки",
    subtitle:
      "Расширение для браузера и API, которые показывают вам отметки «Не нравится» в Youtube",
    ukraine: "Поддержите Украину",
    sponsors: "Спонсоры",
  },
  install: {
    name: "Скачать",
    title: "Выберите свою платформу",
    subtitle: "Доступно в Firefox и во всех Chromium браузерах",
    title2: "Другие платформы",
    subtitle2:
      "Если ваш браузер ещё не поддерживается, попробуйте этот пользовательский скрипт",
    title3: "От других разработчиков",
    subtitle3:
      "Никакой ответственности с нашей стороны, используйте на свой страх и риск",
  },
  api: {
    name: "API",
    title: "Добро пожаловать в официальную документацию RYD!",
    subtitle: "Чтобы начать, выберите раздел в меню.",
    rights: {
      title: "Права пользования",
      subtitle:
        "Использование этого открытого API третьими лицами разрешено со следующими ограничениями:",
      bullet1: "Aтрибуция: ",
      bullet1text:
        "Этот проект должен быть чётко описан либо ссылкой на этот репозиторий, либо ссылкой на returnyoutubedislike.com",
      bullet2: "Ограничение",
      bullet2text:
        "Существуют ограничения на скорость для каждого клиента - 100 в минуту и 10 000 в день. Это выдаст код ошибки 429, указывающее на то, что ваше приложение превысило лимит",
    },
    url: {
      title: "Информация о URL-адресе",
      subtitle: "API доступен по следующему URL-адресу: ",
    },
    endpoints: {
      title: "Доступные конечные точки (эндпоинты)",
      subtitle: "Список доступных конечных точек доступен здесь: ",
    },
    fetching: {
      title: "Базовое руководство по выборке",
      subtitle:
        "Пример получения голосов на заданный видео идентификатор на YouTube ",
      title2: "Пример запроса: ",
      url: "URL-адрес запроса: ",
      method: "Способ запроса: ",
      headers: "Заголовок: ",
      response: "Ответ: ",
      error1:
        'Неверный идентификатор YouTube выдаст код ошибки 404 "Не найдено"',
      error2:
        'Неправильно отформатированный идентификатор YouTube выдаст код ошибки 400 "Неверный запрос"',
    },
  },
  help: {
    name: "Помощь",
    title: "Диагностика",
    bullet1: "Убедитесь, что у вас установлена последняя версия расширения, ",
    bullet11: "прямо сейчас",
    bullet2:
      "Попробуйте удалить расширение и установить его снова, затем перезагрузите браузер (все активные окна, а не только одну вкладку).",
    bullet3: "Убедитесь, что эта ссылка открывается:",
    bullet31: "вы должны увидеть текст: ",
    bullet4:
      "Если ничего из вышеперечисленного не помогает - сообщите о своей проблеме в",
    bullet41: "в нашем",
    bullet4a:
      "Сообщите нам вашу операционную систему, Название браузера и версию браузера",
    bullet4b:
      "Сделайте снимок экрана страницы с проблемой (например, страницы видео на YouTube) с открытой консолью (нажмите ",
    bullet4b1: ") - пример скриншота ниже.",
    bullet4c:
      "Сделайте снимок экрана страницы расширений вашего браузера с установленным расширением.",
    bullet4c1: "Чтобы увидеть расширения, введите это в адресную строку: ",
    firefox: "для Firefox",
    chrome: "для Chrome, Edge, Brave, Opera, Vivaldi",
  },
  faq: {
    name: "ЧаВО",
    title: "Частые вопросы",
    subtitle: "Всё ещё есть вопросы? Не стесняйтесь заглянуть в наш Discord!",
    bullet1: "Откуда расширение получает данные?",
    bullet1text:
      "Комбинация архивных данных, полученных до закрытия официального API YouTube с отметками «Не нравится», и экстраполяция поведения пользователей расширения.",
    bullet2: "Почему количество отметок «Не нравится» не обновляется?",
    bullet2text:
      "На данный момент видео отметки «Не нравится» кэшируются, и обновляются не очень часто. Это зависит от популярности видео, но обновление может занять от нескольких часов до нескольких дней.",
    bullet3: "Как это работает?",
    bullet3text:
      "Расширение берёт идентификатор видео которое вы смотрите, извлекает количество отметок «Не нравится» (и другие поля, такие как просмотры, отметки «Нравится» и т.д.) используя наш API. Затем расширение отображает количество отметок «Не нравится» на странице. Если если вы оставляете отметки «Нравится» или «Не нравится», это записывается и отправляется в базу данных, чтобы можно было экстраполировать точное количество отметок.",
    bullet4:
      "Могу я поделиться с вами своим количеством отметок «Не нравится»?",
    bullet4text:
      "Скоро. Мы рассматриваем возможность использования Oauth или другого API, доступного только для чтения, с ограниченной областью действия, чтобы создатели могли делиться своим количеством отметок «Не нравится».",
    bullet5: "Какие данные вы собираете и как они обрабатываются?",
    bullet5text:
      'Расширение собирает только те данные, которые строго необходимы для его правильной работы, такие как IP-адрес или идентификатор видео которое вы смотрите. Ваши данные никогда не будут проданы третьим лицам. Если вы хотите узнать больше о том, как мы обеспечиваем безопасность и конфиденциальность, ознакомьтесь с нашим <a href="https://github.com/Anarios/return-youtube-dislike/blob/main/Docs/SECURITY-FAQru.md">ЧаВО по безопасности</a>.',
    bullet6: "Как работает API/серверная часть?",
    bullet6text:
      "Серверная часть использует архивные данные с тех пор, когда YouTube API всё ещё выдавал количество отметок «Не нравится», количество отметок «Нравится» и «Не нравится» пользователей расширения и экстраполяцию. В ближайшем будущем мы позволим создателям контента легко и безопасно отправлять количество своих отметок «Не нравится», и мы добавим архивные данные ArchiveTeam (4,56 миллиарда видео) в нашу текущую базу данных. Вы также можете просмотреть видео на эту тему.",
    bullet7:
      "Почему счётчик отметок «Не нравится» показывает 'DISLIKES DISABLED'?",
    bullet7text:
      'Иногда недавно загруженное видео может показывать "DISLIKES DISABLED", это связано с тем как мы определяем отключены ли отметки «Не нравится», и должно исчезнуть через несколько часов или после получения отметки «Нравится» или «Не нравится» и обновления страницы (надеюсь).',
  },
  donate: {
    name: "Пожертвовать",
    subtitle:
      "Вы можете поддержать пожертвованием наши усилия по обеспечению свободного Интернета!",
  },
  links: {
    name: "Ссылки",
    title: "Ссылки",
    subtitle: "Ссылки на проект и его разработчиков",
    contact: "Связаться",
    translators: "Переводчики",
    sponsorBlockDescription: "Проматывает рекламу, встроенную в видео",
    filmotDescription: "Поиск по субтитрам YouTube",
  },
};
